Get funding status
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/swapped/status/{smartAccount}import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/swapped/status/{smartAccount}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/onramp/swapped/status/{smartAccount}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"reason": "<string>",
"orderId": "<string>",
"status": "<string>",
"orderCrypto": "<string>",
"orderCryptoAmount": "<string>",
"transactionId": "<string>",
"receivedAt": "<string>",
"paidAmountUsd": 123,
"paidAmountEur": 123,
"onrampFeeUsd": 123,
"paymentMethod": "<string>"
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}Onramp
Get funding status
Returns the latest Swapped order for a smart account.
GET
/
onramp
/
swapped
/
status
/
{smartAccount}
Get funding status
Headers
API key for authentication (omit when sending Authorization)
Example:
"your-api-key"
Bearer platform token (e.g. forwarded by user-service). Takes precedence over x-api-key when both are present.
Example:
"Bearer eyJhbGciOi..."
Path Parameters
Ethereum address (0x followed by 40 hex characters)
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
Response
Latest order status (or no_order)
Was this page helpful?